import React, { useState } from 'react';
import { QrScannerProps } from '../types';
import { QrScanner } from 'QrScanner';

export const QrCodeScanner: React.FC<QrScannerProps> = ({
  videoContainerStyle,
  containerStyle,
  videoStyle,
  constraints,
  ViewFinder,
  scanDelay,
  className,
  videoId,
  onSuccess,
}) => {
  const [error, setError] = useState(null);
  const [data, setData] = useState(null);
  return (
    <div className="qr-code-container">
      <QrScanner
        className={className}
        videoContainerStyle={videoContainerStyle}
        ViewFinder={ViewFinder}
        scanDelay={scanDelay}
        videoStyle={videoStyle}
        constraints={constraints}
        containerStyle={containerStyle}
        videoId={videoId}
        onSuccess={(result, error) => {
          onSuccess(result, error);
          if (result) {
            setData(result);
          }
          if (error) {
            setError(error.message);
          }
        }}
      />

      <p>The value is: {JSON.stringify(data, null, 2)}</p>
      <p>The error is: {error}</p>
    </div>
  );
};
